2020-08-14 Analysis v32r0

This version uses
Phys [v31r1](../../../../Phys/-/tags/v31r1),
Rec [v31r1](../../../../Rec/-/tags/v31r1),
Lbcom [v31r1](../../../../Lbcom/-/tags/v31r1),
LHCb [v51r1](../../../../LHCb/-/tags/v51r1),
Gaudi [v33r2](../../../../Gaudi/-/tags/v33r2) and
LCG [97a](http://lcginfo.cern.ch/release/97a/) with ROOT 6.20.06.

This version is released on `master` branch and
is the first version that is not backward compatible with Run 1-2 data.
In addition Ostap is removed in favour of the standalone version at
[https://github.com/OstapHEP/ostap].

Built relative to Analysis [v31r0](../-/tags/v31r0), with the following changes:


### Fixes ~"bug fix" ~workaround

- ~Calo ~"Event model" | Remove MCOnDemand to suppress error message. https://its.cern.ch/jira/browse/LHCBPS-1859, !653 (@pkoppenb) [LHCBPS-1859]
- ~"MC checking" ~Tuples | DECLARE_COMPONENT in TupleToolMCPVAssociation, !638 (@pkoppenb)
- ~Tuples | Ignore missing Hlt2, !635 (@pkoppenb)
- ~Tuples | Additional fix to not abort processing (TupleToolGeometry), !600 (@erodrigu)
- ~Tuples | Don't abort processing if the distance calculator fails, !599 (@cattanem)


### Enhancements ~enhancement

- ~PID ~Tuples | Remove Run 1+2 ANNPID tunes (follow up Rec!1894), !597 (@rmatev)
- ~"MC checking" ~Tuples | Moved BackgroundCategory and DaVinciSmartAssociator to CaloFuture, !613 (@sponce)
- ~Tuples | Added pT relative to flight direction as variable in TupleToolCorrectedMass, !629 (@masmith)
- ~Tuples | TupleToolKinematic AtVtx changed, !617 (@lgarciam)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Calo | Remove redundant use of `CaloCellID::toString`, !667 (@graven)
- ~Tracking ~"Event model" | Follow removal of LHCb::Node, !598 (@ausachov)
- ~"Event model" | Follow changes in lhcb/LHCb!2617, !634 (@graven)
- ~"MC checking" | Remove unused include, !665 (@graven)
- ~"MC checking" ~Monitoring | Remove HltSelChecker, !657 (@pkoppenb)
- ~Monitoring | Remove Phys/DaVinciMonitors, !648 (@pkoppenb) :star:
- ~Tuples | Remove L0 and stripping., !643 (@pkoppenb) :star:
- ~Tuples | Remove TupleToolCaloHypo, !627 (@cmarinbe)
- ~Tuples | Fix warnings for LCG 97, !622 (@rmatev)
- ~Tuples | Modernize HLT2 Dec Report dependencies in TupleToolTrigger and TupleToolEventInfo, !618 (@rjhunter)
- ~Build | Remove CMakeList and test, !633 (@pkoppenb)
- ~Build | Removal of Ostap dependencies, !628 (@erodrigu) :star:
- ~Build | Ignore more unchecked StatusCodes, seen with clang, !616 (@cattanem)
- ~Build | Remove OPTIONS "-U__MINGW32__" from gaudi_add_dictionary directive, !605 (@cattanem)
- ~Build | Ignore unchecked status codes, !601 (@clemenci)


### Documentation ~Documentation

- Replace README.md with CONTRIBUTING.md, for consistency with other projects, !656 (@cattanem)
