2021-04-21 Analysis v33r0
===

This version uses
Phys [v32r0](../../../../Phys/-/tags/v32r0),
Rec [v32r0](../../../../Rec/-/tags/v32r0),
Lbcom [v32r0](../../../../Lbcom/-/tags/v32r0),
LHCb [v52r0](../../../../LHCb/-/tags/v52r0),
Gaudi [v35r2](../../../../Gaudi/-/tags/v35r2) and
LCG [97a](http://lcginfo.cern.ch/release/97a/) with ROOT 6.20.06.

Analysis v33r0 will be used by the DaVinci version for the May Hackathon.
It contains the first release of the new, functional, tupling framework, aka the FunTuple tuple.
Most other changes are bug fixes and cleanup of code no longer needed for Run3.

This version is released on `master` branch.
Built relative to Analysis [v32r0](../-/tags/v32r0), with the following changes:

### New features ~"new feature"

- ~Tuples | Proof-of-concept for a new tupling algorithm, !767 (@amathad)
- ~Tuples | Fixes to FunTuple Algorithm, !782 (@amathad)

### Fixes ~"bug fix" ~workaround

- Default values of TupleToolJetTag initialised, !698 (@lsestini)
- ~Configuration | Allow stream definition in MC matching helper, !770 (@apearce)

### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Configuration | Get completely rid of AnalysisConf, !722 (@erodrigu)
- ~Configuration | AnalysisConf - further move bits to the DaVinci configurable, !713 (@erodrigu)
- ~Tuples | Remove unused features of TupleToolEventInfo, !730 (@pkoppenb)
- ~Tuples | Migrate to Gaudi/Property.h, !666 (@rmatev)
- ~Build | LCG 99 Fixes, !761 (@chasse) [ROOT-11025]
- Remove obsolete tools, !775 (@pkoppenb)
- Remove obsolete DaVinci algorithms, !769 (@pkoppenb)
- Remove obsolete CVS keywords, !762 (@cattanem)
- Removal of CommonMCParticles, !753 (@erodrigu)
- Move packages from Phys to Analysis, !751 (@pkoppenb)
- Remove Tesla matching tupletool, !748 (@pkoppenb)
- Remove all mentions of HepMC and obsolete detectors, !747 (@pkoppenb)
- Update CI to run linting, !745 (@erodrigu)
- Removal of DisplVerticesMC and FilterToFixOppositeBFractions, !744 (@pkoppenb)
- Modernise PrintDecay, !741 (@pkoppenb)
- Make Python code compatible with Python 2 and 3, !703 (@clemenci)
- Adapt to new Gaudi Monitoring, !701 (@sponce)
- Cleanup of old style counters, !700 (@sponce)
- Tagging Checker: Fix unused variable warning ; rename methods, !691 (@pkoppenb)
- Remove L0 dependency, !689 (@pkoppenb)
- Remove L0 from MCDisplVertices, !688 (@pkoppenb) [LHCBPS-1865]
- Remove L0 from FlavourTagging, !687 (@pkoppenb)
- Remove TupleToolSwimmingInfo, !686 (@pkoppenb)
- Replace savannah bugs by corresponding JIRA tasks, !684 (@pkoppenb)
- Removed JetAccessoriesMC, !683 (@pkoppenb) [LHCBPS-1865]
- Remove SPD, PRS, OT, It. Add ST and UT, !679 (@pkoppenb)
- Removed mention of stripping in doxygen documentation, !677 (@pkoppenb)
- Bug fix: TupleToolGeometry to always fill AllDIRA, !731 (@pkoppenb)
- Revert "Merge branch 'cherry-pick-2c967489' into 'master'", !724 (@pkoppenb)
- Cherry pick `Adding pointing to TupleToolVtxDaughters`, !720 (@pkoppenb)
- ~Tuples | New tool TupleToolIsoGeneric, !725 (@pkoppenb)

### Documentation ~Documentation

- Replace savannah bugs by corresponding JIRA tasks, !684 (@pkoppenb)
- Update CONTRIBUTING.md, !716 (@cattanem)
